/* custom.css: Override Doxygen 1.15.0 defaults */

/* Doxygen 1.15.0 default font-family:
 *   sans-serif: system-ui,-apple-system,Segoe UI,Roboto,Ubuntu,Cantarell,
 *               Noto Sans,sans-serif,BlinkMacSystemFont,"Segoe UI",Helvetica,
 *               Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji",
 *               "Segoe UI Symbol"
 *   monospace:  'JetBrains Mono',Consolas,Monaco,'Andale Mono','Ubuntu Mono',
 *               monospace,fixed
 */
:root, :host {
	--dcmodel-font-family-sans-serif: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, "Noto Sans JP", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji", Symbola;
	--dcmodel-font-family-monospace: Menlo, Consolas, "DejaVu Sans Mono", monospace, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji", Symbola;
}

/* font-size: rem override */
body, table, div, p, dl {
	font-size: 1rem;
	line-height: 1.6;
}
div.line {
	font-size: 0.875rem;
	min-height: 0.875rem;
}
.memtitle,
.permalink {
	font-size: 1rem;
	line-height: 1.25;
}
.memname {
	font-size: 0.875rem;
}
.icon {
	font-size: 0.75rem;
}
#nav-path ul {
	font-size: 0.875rem;
	line-height: 30px;
}
#powerTip div {
	font-size: 0.75rem;
	line-height: 1.3;
}

/* font-family: sans-serif override */
body, table, div, p, dl,
.title,
#projectname,
#projectbrief,
#projectnumber,
.icon,
#nav-path ul,
#powerTip div {
	font-family: var(--dcmodel-font-family-sans-serif) !important;
}

/* font-family: monospace override */
pre.fragment,
span.tt,
div.line,
.memberdecls tr[class^='memitem'],
.memtitle,
.permalink,
.memtemplate,
.memname,
.overload,
.paramname .paramdefval,
.params .paramdir,
.tparams .paramdir {
	font-family: var(--dcmodel-font-family-monospace) !important;
}

/* lang-switch */
#titlearea table {
	width: 100%;
}
#lang-switch {
	text-align: right;
	padding-right: 1em;
	white-space: nowrap;
}
